Subject: Re: 85xx Device tree problems: e0024520:02 not found

From: Clemens Koller <[email-masked]>
Date: Wed, 14 Nov 2007 21:23:28 +0100

robert lazarski schrieb:
 > I'm now running pauilis.git and 2.6.24rc2, along with a new custom
 > board. I still can't attach to the phy though. I know the phy works
 > because it works fine in u-boot. Clemens, IIRC you are using the
 > 88e1111 - is that with the gianfar driver?

Yes, yes.

(I still have to check my PHY addresses.)

 > I'm having problems getting
 > soft reboot to work with paulus.git from some reason so debugging is
 > slow going - might someone have some hints?

I can also ACK your reboot-problem.
$ shutdown -r now
stops here at:
Restarting system.

IIRC, there were some patches some time ago changing some powerpc
reboot stuff...

Propably, git-bisect will be our friend.
The latest working kernel over here was:
Linux-2.6.21-rc5-g9a5ee4cc with ARCH=ppc
I think it was also from paulus.

Now I am at ARCH=powerpc.

Regards,

Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com